Subject: bug#25547: 25.1.91; emacsclient -c creates frames on the wrong display

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2020 10:04:09 +0200

> From: Eliza Velasquez <[email-masked]>
> Date: Fri, 6 Nov 2020 11:14:42 -0800
> Cc: Stefan Monnier <[email-masked]>, [email-masked], 
> 	Alex Hutcheson <[email-masked]>
> 
> To answer your second question first, if we try to use
> server-create-tty-frame, Emacs will try to run display the frame in
> the terminal of the calling client, which it can't do in the case of a
> dumb terminal. The next best thing would be to allocate a new frame on
> an existing frame's terminal, whether that is on the tty or window
> system. Currently a dumb terminal running `emacsclient -c` can only
> create new frames on the window system, and this patch should allow it
> to create new frames on an existing tty terminal as well (once it's
> working correctly). As the initial report suggests, most of the time a
> dumb terminal is running `emacsclient -c`, its because it was called
> as part of a script in an Emacs subprocess.

Thanks for the explanation.

> Also, I'll rename the function to something like
> (server-create-frame-on-selected-terminal) since I agree its purpose
> is not clear from the name.

How about server-create-dumb-terminal-frame instead, since that's
what it really is?